<!-- Based on fast/repaint/scroll-fixed-reflected-layer.html -->
<html>
<head>
    <link rel="stylesheet" href="../../../fast/repaint/resources/default.css"></style>
    <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
    <script type="text/javascript">
        window.onload = function() {
            window.scrollTo(100, 180);
            runPaintInvalidationTest();
        };

        window.expectedPaintInvalidationObjects = [
            "LayoutBlockFlow (positioned) DIV id='hideMe' class='absolute red'",
        ];
        function paintInvalidationTest()
        {
            document.getElementById("hideMe").style.zIndex = "-5";
        }
    </script>
</head>
<body style="height:2000px;">
    <!-- You should see 1 green rectangle rotated in the output and no red. -->
    <div style="height: 50px; top: 100px; left: 250px;" class="reflected fixed">
        <div class="absolute green reflected" style="height: 50px;"></div>
        <div id="hideMe" class="absolute red" style="top: 0px; left: 0px;"></div>
    </div>
    <!-- Make sure we are scrolled -->
    <div style="top: 0px; left: 0px;" class="absolute red"></div>
</body>
</html>
